System 2.0.0.0 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Class)

The is specified at the class level. It can be inherited and does not allow multiple attributes on the same class.

For more information about using attributes, see Extending Metadata Using Attributes.

Specifies the default binding property for a component. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  The default constructor sets the property to null.

  Initializes a new instance of the class using no parameters.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor sets the property to the value of the parameter.

  Initializes a new instance of the class using the specified property name.

  The name of the default binding property.
- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DefaultBindingPropertyAttribute

  The member is a static, read-only field that defines an instance of the class initialized with the default constructor.

  Represents the default value for the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The method returns true if the value of the parameter is of type and the properties of the two objects are equal.

  Determines whether the specified is equal to the current instance.

  true if the object is equal to the current instance; otherwise, false, indicating they are not equal.

  The to compare with the current instance
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The property is set in the constructor.

  Gets the name of the default binding property for the component to which the is bound.